module.exports = {
  root: true,
  env: {
    node: true,
    commonjs: true,
    browser: true
  },
  parserOptions: {
    ecmaVersion: 2017,
    parser: '@babel/eslint-parser'
  },
  extends: [
    'eslint:recommended',
    'plugin:vue/recommended'
  ],
  rules: {
    "no-unused-vars": "warn",
    'quote-props': [
      'warn',
      'as-needed'
    ],
    'object-curly-spacing': [
      'warn',
      'always',
      {
        arraysInObjects: true,
        objectsInObjects: true
      }
    ],
    indent: [
      'warn',
      2
    ],
    'linebreak-style': [
      'warn',
      process.platform === 'win32' ? 'windows' : 'unix'
    ],
    semi: [
      'warn',
      'always'
    ],
    quotes: [
      'warn',
      'single',
      {
        avoidEscape: true
      }
    ],
    'max-len': [
      'warn',
      {
        code: 120,
        tabWidth: 2,
        ignoreComments: true,
        ignoreTrailingComments: true,
        ignoreUrls: true,
        ignoreStrings: true,
        ignoreTemplateLiterals: true,
        ignoreRegExpLiterals: true
      }
    ]
  }
};